# Uses of Interface
org.springframework.orm.jpa.JpaVendorAdapter

Packages that use JpaVendorAdapter
Package
Description
org.springframework.orm.jpa
Package providing integration of JPA (Java Persistence API) with Spring concepts.
org.springframework.orm.jpa.vendor
Support classes for adapting to specific JPA vendors.

## Uses of JpaVendorAdapter in org.springframework.orm.jpa

Methods in org.springframework.orm.jpa that return JpaVendorAdapter
Modifier and Type
Method
Description
`JpaVendorAdapter`
AbstractEntityManagerFactoryBean.`getJpaVendorAdapter()`
Return the JpaVendorAdapter implementation for this EntityManagerFactory, or `null` if not known.
Methods in org.springframework.orm.jpa with parameters of type JpaVendorAdapter
Modifier and Type
Method
Description
`void`
AbstractEntityManagerFactoryBean.`setJpaVendorAdapter(JpaVendorAdapter jpaVendorAdapter)`
Specify the JpaVendorAdapter implementation for the desired JPA provider, if any.

## Uses of JpaVendorAdapter in org.springframework.orm.jpa.vendor

Classes in org.springframework.orm.jpa.vendor that implement JpaVendorAdapter
Modifier and Type
Class
Description
`class`
`AbstractJpaVendorAdapter`
Abstract `JpaVendorAdapter` implementation that defines common properties, to be translated into vendor-specific JPA properties by concrete subclasses.
`class`
`EclipseLinkJpaVendorAdapter`
`JpaVendorAdapter` implementation for Eclipse Persistence Services (EclipseLink).
`class`
`HibernateJpaVendorAdapter`
`JpaVendorAdapter` implementation for Hibernate.